package com.dla.dda.persistence.model.catalogs;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @see Tabla para manejar los estudios
 * @author montieln
 *
 */
@Entity
@Table(name = "DDA_C_ESTUDIO")
public class DdaCEstudio implements Serializable {

	private static final long serialVersionUID = 1L;

	private Long idEstudio;

	private String idSap;

	private String descEstudio;

	private String moneda;

	private String codigoPais;

	private String nombrePais;

	private String sociedad;

	private String siglaDada;

	private Integer orden;

	@Id
	@Column(name = "ID_ESTUDIO", nullable = false, unique = true)
	public Long getIdEstudio() {
		return idEstudio;
	}

	public void setIdEstudio(Long idEstudio) {
		this.idEstudio = idEstudio;
	}

	@Column(name = "ID_SAP", length = 150)
	public String getIdSap() {
		return idSap;
	}

	public void setIdSap(String idSap) {
		this.idSap = idSap;
	}

	@Column(name = "DESC_ESTUDIO", length = 150)
	public String getDescEstudio() {
		return descEstudio;
	}

	public void setDescEstudio(String descEstudio) {
		this.descEstudio = descEstudio;
	}

	@Column(name = "MONEDA", length = 150)
	public String getMoneda() {
		return moneda;
	}

	public void setMoneda(String moneda) {
		this.moneda = moneda;
	}

	@Column(name = "CODIGO_PAIS", length = 150)
	public String getCodigoPais() {
		return codigoPais;
	}

	public void setCodigoPais(String codigoPais) {
		this.codigoPais = codigoPais;
	}

	@Column(name = "NOMBRE_PAIS", length = 150)
	public String getNombrePais() {
		return nombrePais;
	}

	public void setNombrePais(String nombrePais) {
		this.nombrePais = nombrePais;
	}

	@Column(name = "SOCIEDAD", length = 150)
	public String getSociedad() {
		return sociedad;
	}

	public void setSociedad(String sociedad) {
		this.sociedad = sociedad;
	}

	@Column(name = "SIGLA_DDA", length = 150)
	public String getSiglaDada() {
		return siglaDada;
	}

	public void setSiglaDada(String siglaDada) {
		this.siglaDada = siglaDada;
	}

	@Column(name = "ORDEN", length = 150)
	public Integer getOrden() {
		return orden;
	}

	public void setOrden(Integer orden) {
		this.orden = orden;
	}

}
